<?php

/**
 * @file
 * Contains openstack_key_pair.page.inc.
 *
 * Page callback for OpenStack key pair entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for OpenStack key pair templates.
 *
 * Default template: openstack_key_pair.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_openstack_key_pair(array &$variables) {

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) ?: [] as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
