<?php

namespace Drupal\cloud\Controller;

use Drupal\cloud\Traits\CloudContentEntityTrait;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\HttpFoundation\JsonResponse;

/**
 * {@inheritdoc}
 */
class CloudApiControllerBase extends ControllerBase implements CloudApiControllerBaseInterface {

  use CloudContentEntityTrait;

  /**
   * {@inheritdoc}
   */
  public function updateResourceList(string $cloud_context, string $entity_type, bool $all = FALSE): JsonResponse {
    $method_name = 'update'
      . ($cloud_context === '' && $all ? 'All' : '')
      . $this->getCamelCaseWithoutWhitespace($entity_type)
      . 'List';

    if (!method_exists($this, $method_name)) {
      return new JsonResponse([
        'result' => 'NG',
        'reason' => 'This method is not implemented.',
        'messages' => [
          'error' => [
            'This method is not implemented.',
          ],
        ],
      ], 404);
    }

    $this->$method_name($cloud_context);
    return new JsonResponse([
      'result' => 'OK',
      'messages' => $this->messenger->all(),
    ]);
  }

}
